Bug 1017377 - RFE: Give user some indication if PCI assignment won't work
RFE: Give user some indication if PCI assignment won't work
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 14:11 EDT by Cole Robinson
Modified: 2014-09-07 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2013-10-09 14:11:42 EDT
Right now we basically let the user attempt to assign any PCI device to a guest and hope it works, when there is actually quite a few caveats that we can warn them about. Unfortunately much of this requires info that libvirt doesn't currently expose.

https://bugzilla.redhat.com/show_bug.cgi?id=967231

And the libvirt device assignment default is likely changing to VFIO for libvirt 1.1.4 or soon after, and there are differences between what VFIO and traditional assignment can handle.
Comment 1 Cole Robinson 2013-10-31 16:04:36 EDT
libvirt reports iommuGroup info in the nodedev XML. To support that, we would need to tweak the UI to only allow attaching all devices in the same iommuGroup as one logical block of devices. This won't work for hotplug though so we'd need to make that bit clear.

Note You need to log in before you can comment on or make changes to this bug.